Lintian::Inspect::Changelog::Entry(3)

NAME
Lintian::Inspect::Changelog::Entry - represents one entry in a Debian changelog

SYNOPSIS

DESCRIPTION

  Methods
init

Creates a new object, no options.

new

Alias for init.

is_empty

Checks if the object is actually initialized with data. Due to limitations in Parse::DebianChangelog this currently simply checks if one of the fields Source, Version, Maintainer, Date, or Changes is initialized.

  Accessors
The following fields are available via accessor functions (all fields are string values unless otherwise noted):

Source
Version
Distribution
Urgency
Urgency_Comment
"Urgency_LC"
"ExtraFields"
    Extra_Fields (all fields except for urgency as hash; POD spelling forces the underscore)

Header
    Header (the whole header in verbatim form)

Changes
    Changes (the actual content of the bug report, in verbatim form)

Trailer
    Trailer (the whole trailer in verbatim form)

Closes
    Closes (Array of bug numbers)

Maintainer
"MaintainerEmail"
Date
Timestamp
    Timestamp (Date expressed in seconds since the epoch)

ERROR
    Last parse error related to this entry in the format described at Parse::DebianChangelog::get_parse_errors.

position

SEE ALSO
Originally based on Parse::DebianChangelog by Frank Lichtenheld, <frank@lichtenheld.de>

AUTHOR
Written by Felix Lechner <felix.lechner@lease-up.com> for Lintian in response to #933134.

COPYRIGHT AND LICENSE
Please see in the code; FSF's standard short text triggered a POD spelling error here.